<?
// утилита для удаления директорий фото МО с превышенным сроком хранения
include(_DIR_TO_MODULES.'/engine/i_backgroup_process.php');
include_once(_DIR_EXT.'/aspmo_setting/i_disk_working.php');

class c_services_aspmo_setting_disk_working extends i_backgroup_process_exec
{
	function exec()
	{
		include_once(_DIR_TO_MODULES.'/engine/i_setup.php');
		$GLOBALS['log_sql_update']=1;
		//damp_array($this);

		ob_start();
		switch($this->setting['action'])
		{
			case 'delete_mo_photo_storage':
				i_disk_working::delete_mo_photo_storage($this->setting);
				break;
			case 'delete_mo_sign_storage':
				i_disk_working::delete_mo_sign_storage($this->setting);
				break;
			case 'delete_mo_sign_image_storage':
				i_disk_working::delete_mo_sign_image_storage($this->setting);
				break;
		}
		$text=ob_get_clean();
		echo $text;
		LOGS()->reg_log('disk_working',$this->setting['action'],['save_to_file'=>$text]);


		FILE_LOG()->append('END');
		$GLOBALS['log_sql_update']=0;
	}

}

?>

